Package ru.bitel.bgbilling.modules.phone.server.event

# Class ClientItemChangedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.modules.phone.server.event.ClientItemChangedEvent

All Implemented Interfaces:
  `Serializable`

public class ClientItemChangedEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие - изменён поинт/правило.
Генерируется после изменения клиентского поинта/правила.
Унаследован от `QueueEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ClientItemChangedEvent()`
  ``
  `ClientItemChangedEvent(int userId, int moduleId, ClientItem item, boolean create)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClientItem`
  `getItem()`
  Возвращает изменённый объект поинта/правила.
  `int`
  `getTypeId()`
  Deprecated.
  `boolean`
  `isCreate()`
  Возвращает, был ли поинт/правило создан.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClientItemChangedEvent

    protected ClientItemChangedEvent()

  - ### ClientItemChangedEvent

    public ClientItemChangedEvent(int userId, int moduleId, ClientItem item, boolean create)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `moduleId` - - код модуля
      `item` - - объект поинта/правила
      `create` - - был ли поинт/правило создан

- ## Method Details

  - ### getTypeId

    @Deprecated public int getTypeId()
    Deprecated.
    Использовать проверку instanceof.
    Overrides:
      `getTypeId` in class `ru.bitel.bgbilling.kernel.event.common.Event`

  - ### getItem

    public ClientItem getItem()
    Возвращает изменённый объект поинта/правила.
    Returns:
      itme - объект поинта/правила

  - ### isCreate

    public boolean isCreate()
    Возвращает, был ли поинт/правило создан.
    Returns:
      create - флаг создания поинта/правила